Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfWrapType

    java.lang.Object
      java.lang.Enum<OdfWrapType>
          org.odftoolkit.odfdom.dom.type.style.OdfWrapType

All Implemented Interfaces:
  Serializable, Comparable<OdfWrapType>

    public enum OdfWrapType

extends Enum<OdfWrapType>

DOM implementation of OpenDocument attribute style:wrap.

Enum Constant Summary
`BIGGEST`
`DYNAMIC`
`LEFT`
`NONE`
`PARALLEL`
`RIGHT`
`RUN_THROUGH`

Method Summary
`static OdfWrapType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfWrapType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfWrapType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfWrapType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RIGHT

    public static final OdfWrapType RIGHT

### RUN_THROUGH

    public static final OdfWrapType RUN_THROUGH

### BIGGEST

    public static final OdfWrapType BIGGEST

### LEFT

    public static final OdfWrapType LEFT

### NONE

    public static final OdfWrapType NONE

### PARALLEL

    public static final OdfWrapType PARALLEL

### DYNAMIC

    public static final OdfWrapType DYNAMIC

Method Detail

### values

    public static OdfWrapType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfWrapType c : OdfWrapType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfWrapType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfWrapType>`
  Returns:
    return the name of OdfWrapType

### toString

    public static String toString(OdfWrapType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfWrapType, see style:wrap
  Returns:
    return the name of OdfWrapType

### enumValueOf

    public static OdfWrapType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfWrapType
  Returns:
    return the constant of OdfWrapType, see style:wrap

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.